import { Group, Image } from '@wisemapping/web2d';
import IconGroup from './IconGroup';
import FeatureModel from './model/FeatureModel';
import PositionType from './PositionType';
import SizeType from './SizeType';
interface Icon {
    getElement(): Group | Image;
    setGroup(group: IconGroup): void;
    getGroup(): IconGroup | null;
    getSize(): SizeType | undefined;
    getPosition(): PositionType;
    addEvent(type: string, fnc: () => void): void;
    remove(): void;
    getModel(): FeatureModel;
}
export default Icon;
